Loading...
Searching...
No Matches
childaccess.hh File Reference
`#include <cstddef>`
`#include <type_traits>`
`#include <utility>`
`#include <tuple>`
`#include <dune/common/indices.hh>`
`#include <dune/common/typelist.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/hybridmultiindex.hh>`
`#include <dune/common/typetree/nodeconcepts.hh>`
`#include <dune/common/typetree/treepath.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::TypeTree

## Typedefs

template<typename Node, std::size_t... indices>
using | Dune::TypeTree::Child = typename Impl::ChildTraits<Node, indices...>::type
| Template alias for the type of a child node given by a list of child indices.
template<typename Node, typename TreePath>
using | Dune::TypeTree::ChildForTreePath = std::decay_t<decltype(child(std::declval<Node>(), std::declval<TreePath>()))>
| Template alias for the type of a child node given by a TreePath type.

## Functions

template<typename Node, typename... Indices>
decltype(auto) | Dune::TypeTree::child (Node &&node, TreePath< Indices... > treePath)
| Extracts the child of a node given by a TreePath object.
template<typename Node, typename... Indices>
decltype(auto) | Dune::TypeTree::child (Node &&node, Indices... indices)
| Extracts the child of a node given by a sequence of compile-time and run-time indices.